/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: CollectorManager.java msauvage $
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.tools.webadmin.cron;

import javax.servlet.http.HttpServlet;

import org.hsqldb.DatabaseManager;
import org.ow2.petals.tools.webadmin.datacollector.server.CollectorServer;
import org.ow2.petals.tools.webadmin.datacollector.server.exception.DataCollectorServerException;

public final class CollectorManager extends HttpServlet {

    private static final long serialVersionUID = 6616831543123182042L;

    private static CollectorServer collector;
    
    private static String host="localhost";

    private static String port="7700";

    private static String user="petals";

    private static String pwd="petals";

    public CollectorManager() {
        super();
    }
    public static void initCollector(String petalsHost, String petalsPort, String petalsUser, String petalsPwd) {
        host=petalsHost;
        port=petalsPort;
        user=petalsUser;
        pwd=petalsPwd;
        
    }
    public static boolean isCollectorInitialized() {
        return (collector != null);
    }
    public static void resetCollector() {
        collector=null;
    }
    public static CollectorServer getCollector() throws DataCollectorServerException {
        if (collector == null) {
            collector = new CollectorServer(host,port,user,pwd);
        }
        return collector;
    }

    @Override
    public void destroy() {
        if (collector != null) {
            collector.stopQueuesListening();
            CollectorServer.stopHSQLServer();
            DatabaseManager.getTimer().shutDown();
            destroyCollector();
        }
    }
    public static void destroyCollector() {
        collector=null;
    }

}
