/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.tools.webadmin.ui.infra.bean;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.ow2.petals.tools.webadmin.util.StringHelper;

/**
 * Server Light Value Object
 * 
 * @author mcarpentier - EBM Websourcing
 * 
 */
public class DomainLVO {
    private String name;
    private String multicastIP;
    private String multicastPort;

    private String mode;

    private Map<String, SubdomainLVO> subdomains;

    public DomainLVO() {
        super();
        this.subdomains = new HashMap<String, SubdomainLVO>();
    }

    public DomainLVO(String name, String mode) {
        super();
        this.subdomains = new HashMap<String, SubdomainLVO>();
        this.name = name;
        this.mode = mode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public void addSubdomainIfNeeded(String subdomain) {
        if (StringHelper.isNotNullAndNotEmpty(subdomain)) {
            if (subdomains == null) {
                subdomains = new HashMap<String, SubdomainLVO>();
            } else {
                if (!this.subdomains.containsKey(subdomain)) {
                    subdomains.put(subdomain, new SubdomainLVO(subdomain));
                }
            }
        }
    }

    public Map<String, SubdomainLVO> getSubdomains() {
        return subdomains;
    }
    
    public SubdomainLVO getSubdomain(String subdomainName) {
        if (this.subdomains != null) {
            return this.subdomains.get(subdomainName);
        }
        return null;
    }

    public String getMulticastIP() {
        return multicastIP;
    }

    public void setMulticastIP(String multicastIP) {
        this.multicastIP = multicastIP;
    }

    public String getMulticastPort() {
        return multicastPort;
    }

    public void setMulticastPort(String multicastPort) {
        this.multicastPort = multicastPort;
    }
    

    
}
