/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.tools.webadmin.ui.infra.taglibs;

import java.io.IOException;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.BodyTagSupport;

import org.ow2.petals.tools.webadmin.ui.contentrendering.MessageContentRenderingService;
import org.ow2.petals.tools.webadmin.ui.contentrendering.MessageContentRenderingServiceFactory;
import org.ow2.petals.tools.webadmin.ui.infra.bean.MessageLVO;

/**
 * @author gdecarnin - Open Wide
 */
public class XslTag extends BodyTagSupport {
    
    /**
     * 
     */
    private static final long serialVersionUID = 5898884448962704154L;
    
    private MessageLVO msg;
    
    public MessageLVO getMsg() {
        return msg;
    }

    public void setMsg(MessageLVO msg) {
        this.msg = msg;
    }

    public int doStartTag() throws JspException {
        try {
            MessageContentRenderingService messageContentRenderingService = MessageContentRenderingServiceFactory.getInstance().getMessageContentRenderingService();
            String html = messageContentRenderingService.display(getMsg()); 
            
            pageContext.getOut().println(html);
        } catch (IOException e) {
            throw new JspException ("I/O Error", e);
        }
        return SKIP_BODY;
    }
}
