/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.tools.webadmin.ui.infra.util;

import org.ow2.petals.tools.webadmin.ui.infra.bean.EndPointLVO;

/**
 * Compare 2 {@link Message} by time
 * 
 * @author mcarpentier - EBM Websourcing
 * 
 */
public class EndpointLVOComparator implements java.util.Comparator {
    public static final String INTERFACE_COMPARATOR = "interface";

    public static final String SERVICE_COMPARATOR = "service";

    public static final String ENDPOINTNAME_COMPARATOR = "epName";

    public static final String ASC_ORDER = "asc";

    public static final String DESC_ORDER = "desc";

    private String sortType = INTERFACE_COMPARATOR;

    private String sortOrder = ASC_ORDER;

    public EndpointLVOComparator() {
        super();
    }

    public EndpointLVOComparator(String sortType, String sortOrder) {
        if ((INTERFACE_COMPARATOR.equalsIgnoreCase(sortType))
                || (SERVICE_COMPARATOR.equalsIgnoreCase(sortType))) {
            this.sortType = sortType;
        } else {
            this.sortType = ENDPOINTNAME_COMPARATOR;
        }
        if (DESC_ORDER.equalsIgnoreCase(sortOrder)) {
            this.sortOrder = sortOrder;
        }
    }

    public int compare(Object o1, Object o2) {
        String s1 = "";
        String s2 = "";
        if (INTERFACE_COMPARATOR.equalsIgnoreCase(sortType)) {
            s1 = ((EndPointLVO) o1).getInterfaceName();
            s2 = ((EndPointLVO) o2).getInterfaceName();
        } else if (SERVICE_COMPARATOR.equalsIgnoreCase(sortType)) {
            s1 = ((EndPointLVO) o1).getService();
            s2 = ((EndPointLVO) o2).getService();
        } else {
            s1 = ((EndPointLVO) o1).getName();
            s2 = ((EndPointLVO) o2).getName();
        }
        if (DESC_ORDER.equalsIgnoreCase(sortOrder)) {
            return s2.compareTo(s1);
        } else {
            return s1.compareTo(s2);
        }
    }

    public String getSortType() {
        return sortType;
    }

    public void setSortType(String sortType) {
        this.sortType = sortType;
    }

    public String getSortOrder() {
        return sortOrder;
    }

    public void setSortOrder(String sortOrder) {
        this.sortOrder = sortOrder;
    }
}
