/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.tools.webadmin.ui.infra.util;

import org.ow2.petals.tools.webadmin.ui.infra.bean.MessageLVO;

/**
 * Compare 2 {@link MessageExchangeLVO} by time
 * 
 * @author mcarpentier - EBM Websourcing
 * 
 */
public class MessageLVOComparator implements java.util.Comparator<MessageLVO> {

    public MessageLVOComparator() {
        super();
    }

    public int compare(MessageLVO o1, MessageLVO o2) {
        String o1Type= o1.getType();
        String o2Type=o2.getType();
        int result=0;
        if ((MessageLVO.DONE.equalsIgnoreCase(o2Type)) || (MessageLVO.ERROR.equalsIgnoreCase(o2Type))) {
            result= -1;
        }
        else if (MessageLVO.IN_TYPE.equalsIgnoreCase(o2Type)) {
            result= 1;
        }
        else if (MessageLVO.OUT_TYPE.equalsIgnoreCase(o2Type)) {
            if (MessageLVO.IN_TYPE.equalsIgnoreCase(o1Type)) {
                result= -1;
            }else {
                result= 1;
            }
        }
        else if (MessageLVO.FAULT_TYPE.equalsIgnoreCase(o2Type)) {
            if (MessageLVO.DONE.equalsIgnoreCase(o1Type)) {
                result= 1;
            }else {
                result= -1;
            }
        }
        return result;
    }
}
